Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_PollableSet Interface Reference

`#include <PollableC.h>`

List of all members.

## Public Types
typedef CORBA_PollableSet_ptr | _ptr_type
typedef CORBA_PollableSet_var | _var_type
## Public Methods
CORBA_DIIPollable | create_dii_pollable ()
void | add_pollable (in CORBA_Pollable potential )
CORBA_Pollable | poll (in unsigned long timeout) raises ( NoPossiblePollable )
void | remove (in CORBA_Pollable potential ) raises ( UnknownPollable )
unsigned short | number_left ( )
virtual CORBA_DIIPollable_ptr | create_dii_pollable ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) = 0 throw ( CORBA::SystemException )
virtual void | add_pollable ( CORBA_Pollable_ptr potential, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) = 0 throw ( CORBA::SystemException )
virtual CORBA_Pollable_ptr | poll ( CORBA::ULong timeout, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) = 0 throw ( CORBA::SystemException, CORBA_PollableSet::NoPossiblePollable )
virtual void | remove ( CORBA_Pollable_ptr potential, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) = 0 throw ( CORBA::SystemException, CORBA_PollableSet::UnknownPollable )
virtual CORBA::UShort | number_left ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) = 0 throw ( CORBA::SystemException )
virtual void* | _tao_QueryInterface (ptr_arith_t type)
virtual const char* | _interface_repository_id (void) const
## Static Public Methods
CORBA_PollableSet_ptr | _duplicate (CORBA_PollableSet_ptr obj)
CORBA_PollableSet_ptr | _narrow ( CORBA::Object_ptr obj, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () )
CORBA_PollableSet_ptr | _unchecked_narrow ( CORBA::Object_ptr obj, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () )
CORBA_PollableSet_ptr | _nil (void)
## Static Public Attributes
int | _tao_class_id
## Protected Methods
| CORBA_PollableSet (void)
virtual | ~CORBA_PollableSet (void)
## Private Methods
| CORBA_PollableSet (const CORBA_PollableSet &)
void | operator= (const CORBA_PollableSet &)

## Member Typedef Documentation

typedef CORBA_PollableSet_ptr CORBA_PollableSet::_ptr_type

typedef CORBA_PollableSet_var CORBA_PollableSet::_var_type

## Constructor & Destructor Documentation

CORBA_PollableSet::CORBA_PollableSet ( | void )`[protected]`

virtual CORBA_PollableSet::~CORBA_PollableSet ( | void )`[protected, virtual]`

CORBA_PollableSet::CORBA_PollableSet ( | const CORBA_PollableSet & )`[private]`

## Member Function Documentation

CORBA_PollableSet_ptr CORBA_PollableSet::_duplicate ( | CORBA_PollableSet_ptr obj )`[static]`

virtual const char* CORBA_PollableSet::_interface_repository_id ( | void ) const`[virtual]`

CORBA_PollableSet_ptr CORBA_PollableSet::_narrow ( | CORBA::Object_ptr obj,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )`[static]`

CORBA_PollableSet_ptr CORBA_PollableSet::_nil ( | void )`[inline, static]`

virtual void* CORBA_PollableSet::_tao_QueryInterface ( | ptr_arith_t type )`[virtual]`

CORBA_PollableSet_ptr CORBA_PollableSet::_unchecked_narrow ( | CORBA::Object_ptr obj,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )`[static]`

virtual void CORBA_PollableSet::add_pollable ( | CORBA_Pollable_ptr potential,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )`[pure virtual]`

void CORBA_PollableSet::add_pollable ( | in CORBA_Pollable potential )

virtual CORBA_DIIPollable_ptr CORBA_PollableSet::create_dii_pollable ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )`[pure virtual]`

CORBA_DIIPollable CORBA_PollableSet::create_dii_pollable ( | )

virtual CORBA::UShort CORBA_PollableSet::number_left ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )`[pure virtual]`

unsigned short CORBA_PollableSet::number_left ( | )

void CORBA_PollableSet::operator= ( | const CORBA_PollableSet & )`[private]`

virtual CORBA_Pollable_ptr CORBA_PollableSet::poll ( | CORBA::ULong timeout,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException, CORBA_PollableSet::NoPossiblePollable )`[pure virtual]`

CORBA_Pollable CORBA_PollableSet::poll ( | in unsigned long timeout ) raises ( NoPossiblePollable )

virtual void CORBA_PollableSet::remove ( | CORBA_Pollable_ptr potential,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException, CORBA_PollableSet::UnknownPollable )`[pure virtual]`

void CORBA_PollableSet::remove ( | in CORBA_Pollable potential ) raises ( UnknownPollable )

## Member Data Documentation

int CORBA_PollableSet::_tao_class_id`[static]`

The documentation for this interface was generated from the following files:

- Pollable.pidl
- PollableC.h